<?php
/**
 * jtlwawi_connector/konfiguration.php
 * JTL-Wawi Connector for VirtueMart
 * 
 * Es gelten die Nutzungs- und Lizenzhinweise unter http://www.jtl-software.de/jtlwawi.php
 * 
 * @author JTL-Software <thomas@jtl-software.de>
 * @copyright 2007, JTL-Software
 * @link http://jtl-software.de/jtlwawi.php
 * @version v1.0 / 24.06.07
*/

require_once("../dbeS/syncinclude.php");
require_once("adminTemplates.php");
require_once("AdminSession.php");
$adminsession = new AdminSession();

if ($_SESSION["loggedIn"]!=1)
{
	header('Location: index.php');
	exit;
}
if ($_POST['update']==1)
updateKonfig();

zeigeKopf();
zeigeLinks($_SESSION["loggedIn"]);
zeigeKonfigForm();
zeigeFuss();

function zeigeKonfigForm()
{
	//hole einstellungen
	$einstellungen = getEinstellungen();
	//erstelle kdgrp mapping
	$mappingEndkunde_arr = explode(";",$einstellungen->mappingEndkunde);
	$mappingHaendlerkunde_arr = explode(";",$einstellungen->mappingHaendlerkunde);

	//hole vendor
	$vendor = eS_execute_query("select * from ".DBPVM."vendor where vendor_id=".VENDOR_ID,1);
	
	//hole order_stati
	$order_stati = eS_execute_query("select * from ".DBPVM."order_status where vendor_id=".VENDOR_ID." order by list_order",2);
	//hole kundengruppen
	$shopper_groups = eS_execute_query("select * from ".DBPVM."shopper_group where vendor_id=".VENDOR_ID,2);
	
	//whrung vorauswahl
	if (!$einstellungen->waehrung)
		$einstellungen->waehrung=$vendor->vendor_currency;
	if (!$einstellungen->cat_browsepage)
		$einstellungen->cat_browsepage="browse_1";
	if (!$einstellungen->products_per_row)
		$einstellungen->products_per_row=2;
	
	//Warnung anzeigen
	$warnung="";
	if (!$einstellungen->mappingEndkunde)
		$warnung="<h2 style=\"color:#ff0000;\">Es muss mindestens eine EndKundengruppe von JTL-Wawi auf eine VirtueMart Kundengruppe gemappt werden - sonst werden keine Preise importiert!</h2>";
	
	echo('
						<td bgcolor="#ffffff" style="border-color:#222222; border-width:1px; border-style:solid; border-top-width:0px; border-bottom-width:0px; border-left-width:0px;" valign="top" align="center" height="400"><br>
							<table cellspacing="0" cellpadding="0" width="96%">
								<tr><td class="content_header" align="center"><h3>Konfiguration vom JTL-Wawi Connector</h3></td></tr>
								<tr><td class="content" align="center"><br>
										Fr den reibungslosen Im-/ und Export von Daten zwischen <a href="http://www.jtl-software.de">JTL-Wawi</a> und Ihrem Shop, mssen einige Einstellungen als Standard gesetzt sein.<br><br>
										<table cellspacing="0" cellpadding="0" width="580">
											<tr>
												<td class="unter_content_header">&nbsp;<b>Einstellungen</b></td>
											</tr>
											<tr>
												<td class="content" align="center">
													Hilfe zu den einzelnen Einstellungmglichkeiten finden Sie unter <a href="http://www.jtl-software.de/jtlwawi_connector.php" target="_blank">JTL-Wawi Connector Konfigurationshilfe</a>.<br>													
													<form action="konfiguration.php" method="post" name="konfig">
													<input type="hidden" name="update" value="1">
													<table cellspacing="0" cellpadding="10" width="100%">
														<tr>
															<td><b>Standardiefertermin</b></td><td><input type="text" name="liefertermin" size="50" class="konfig" value="'.$einstellungen->liefertermin.'"></td>
														</tr>
														<tr>
															<td><b>Standardwhrung</b></td><td><input type="text" name="waehrung" size="50" class="konfig" value="'.$einstellungen->waehrung.'"></td>
														</tr>
														<tr>
															<td>Bestellstatusnderungen</td><td>&nbsp;</td>
														</tr>
														<tr>
															<td><b>Sobald Bestellung erfolgreich in JTL-Wawi bernommen wird, Status setzen auf:</b></td><td><select name="StatusAbgeholt"><option value="0">Status nicht ndern</option>
	');
	foreach ($order_stati as $order_status)
	{
		echo('<option value="'.$order_status->order_status_code.'" ');if ($order_status->order_status_code==$einstellungen->StatusAbgeholt) echo('selected'); echo('>'.$order_status->order_status_name.'</option>');
	}
	echo('
															</select>														
															</td>
														</tr>
														<tr>
															<td><b>Sobald Bestellung in JTL-Wawi versandt wird, Status setzen auf</b></td><td><select name="StatusVersendet"><option value="0">Status nicht ndern</option>
	');
	foreach ($order_stati as $order_status)
	{
		echo('<option value="'.$order_status->order_status_code.'" ');if ($order_status->order_status_code==$einstellungen->StatusVersendet) echo('selected'); echo('>'.$order_status->order_status_name.'</option>');
	}
	echo('
															</select>														
															</td>
														</tr>
													</table><br>
													JTL-Wawi kennt nur die Kundengruppen Endkunde und Hndlerkunde. Weisen Sie diesen Kundengruppen Ihre Shop-Kundengruppen zu - dies ist fr die korrekte Preiszuordnung unerlsslich. Vergeben Sie nicht Ihre Kundengruppen doppelt.<br>
													<table cellspacing="0" cellpadding="10" width="100%">
														<tr>
															<td valign="top"><b>JTL-Wawi Endkunde</b></td><td>'.$warnung.'
	');
	foreach ($shopper_groups as $shopper_group)
	{
		echo('<input type="checkbox" name="endkunde[]" value="'.$shopper_group->shopper_group_id.'"');if (in_array($shopper_group->shopper_group_id,$mappingEndkunde_arr)) echo('checked'); echo('> '.$shopper_group->shopper_group_name.'<br>');
	}														
	echo('
															</td>
														</tr>
														<tr>
															<td valign="top"><b>JTL-Wawi Hndlerkunde</b></td><td>
	');
	foreach ($shopper_groups as $shopper_group)
	{
		echo('<input type="checkbox" name="haendlerkunde[]" value="'.$shopper_group->shopper_group_id.'"');if (in_array($shopper_group->shopper_group_id,$mappingHaendlerkunde_arr)) echo('checked'); echo('> '.$shopper_group->shopper_group_name.'<br>');
	}														
	echo('
															</td>
														</tr>
													</table><br>
													Standardeinstellungen fr Kategorien, die ber JTL-Wawi eingestellt werden:
													<table cellspacing="0" cellpadding="10" width="100%">
														<tr>
															<td><b>Kategorievorlage (category_browsepage):</b></td><td><input type="text" name="cat_browsepage" size="50" class="konfig" value="'.$einstellungen->cat_browsepage.'"></td>
														</tr>
														<tr>
															<td><b># Artikel nebeneinander (products_per_row):</b></td><td><input type="text" name="products_per_row" size="50" class="konfig" value="'.$einstellungen->products_per_row.'"></td>
														</tr>
														<tr>
															<td><b>Kategorievorlage (category_flypage):</b></td><td><input type="text" name="category_flypage" size="50" class="konfig" value="'.$einstellungen->category_flypage.'"></td>
														</tr>
													</table><br>
													<input type="submit" value="Einstellungen speichern">
													</form>
												</td>
											</tr>
										</table><br>
								</td></tr>
							</table><br>
						</td>
	');
}

function updateKonfig()
{
	//hole einstellungen
	$einstellungen = getEinstellungen();

	$einstellungen->mappingEndkunde="";
	$einstellungen->mappingHaendlerkunde="";
	if (is_array($_POST['endkunde']))
		$einstellungen->mappingEndkunde=implode(";",$_POST['endkunde']);
	if (is_array($_POST['haendlerkunde']))
		$einstellungen->mappingHaendlerkunde=implode(";",$_POST['haendlerkunde']);
	$einstellungen->liefertermin = $_POST['liefertermin'];
	$einstellungen->StatusAbgeholt = $_POST['StatusAbgeholt'];
	$einstellungen->StatusVersendet = $_POST['StatusVersendet'];
	$einstellungen->cat_browsepage = $_POST['cat_browsepage'];
	$einstellungen->products_per_row = $_POST['products_per_row'];
	$einstellungen->category_flypage = $_POST['category_flypage'];
	$einstellungen->waehrung = $_POST['waehrung'];
	
	setEinstellungen($einstellungen);
}


?>

